Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.snmp.net
Class StreamPortItem

    java.lang.Object
      |
      +--uk.co.westhawk.snmp.net.StreamPortItem

public class StreamPortItem
extends java.lang.Object

This is a holder class that associates the incoming packet stream with the remote port it came from.

Since:
  4_14
Version:
  $Revision: 1.4 $ $Date: 2006/02/09 14:14:50 $
Author:
  Birgit Arkesteijn

Constructor Summary
`StreamPortItem(java.lang.String address, int newPort, java.io.ByteArrayInputStream in)` Constructor.

Method Summary
`java.lang.String` | `getHostAddress()` Returns the host addres where the message came from.
`int` | `getHostPort()` Returns the remote port where the message came from.
`java.io.ByteArrayInputStream` | `getStream()` Returns incoming message (or a copy of it).
`java.lang.String` | `toString()` Returns the string representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamPortItem

    public StreamPortItem(java.lang.String address,
                          int newPort,
                          java.io.ByteArrayInputStream in)

  Constructor.

Parameters:
  `address` - The host address
  `newPort` - The remote port number
  `in` - The incoming message

Method Detail

### getHostAddress

    public java.lang.String getHostAddress()

  Returns the host addres where the message came from.

  Returns:
    The host address

### getHostPort

    public int getHostPort()

  Returns the remote port where the message came from.

  Returns:
    The remote port number

### getStream

    public java.io.ByteArrayInputStream getStream()

  Returns incoming message (or a copy of it).

  Returns:
    The message

### toString

    public java.lang.String toString()

  Returns the string representation.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The string

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD